# logonras

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### logonras

logs on to a RAS connection.

**Category: RAS-Connections**

```
AppServerClientCLI logonras -id ras:5 [-silent] [-addpubinfo] [-waitifbusy 10] [-window 12345]  
```

### Arguments

* **`id (mandatory)`** Specify the RAS connection ID to use.
* **`silent (optional)`** When specified, no UI will be used.
* **`addpubinfo (optional)`** Include a summary of information about the published items.
* **`waitifbusy (optional)`** Wait for a specific time in seconds if the state is busy.
* **`window (optional)`** Specify the window handle that will be used as the parent to any UI required.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
ElevationAccess - CLI process is running at a higher process privilege\
InvalidState - Command failed due to invalid state, refer to the command for further information\
Busy - The action cannot be completed as the client is busy with another operation\
Exception - System problem

### Examples:

AppServerClientCLI logonras -id ras:61\
AppServerClientCLI logonras -id ras:61 -silent\
AppServerClientCLI logonras -id ras:61 -silent -addpubinfo

### See also:

[logoffras](/landing/ras-windows-cli-guide/v20/commands/logoffras.md)\
[logoffallras](/landing/ras-windows-cli-guide/v20/commands/logoffallras.md)\
[logoffrassession](/landing/ras-windows-cli-guide/v20/commands/logoffrassession.md)\
[startrasobj](/landing/ras-windows-cli-guide/v20/commands/startrasobj.md)\
[savefavorites](/landing/ras-windows-cli-guide/v20/commands/savefavorites.md)\
[disconnectras](/landing/ras-windows-cli-guide/v20/commands/disconnectras.md)\
[disconnectallras](/landing/ras-windows-cli-guide/v20/commands/disconnectallras.md)\
[getloggedrasinfo](/landing/ras-windows-cli-guide/v20/commands/getloggedrasinfo.md)\
[getraspolicyinfo](/landing/ras-windows-cli-guide/v20/commands/getraspolicyinfo.md)\
[getpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/getpublicipinfo.md)\
[clearpublicipinfo](/landing/ras-windows-cli-guide/v20/commands/clearpublicipinfo.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/logonras.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
